System doesn't boot properly on Gigabyte AM4 motherboards (AMD Ryzen)

Bug #1671360 reported by Maciej Dziardziel on 2017-03-09
246
This bug affects 46 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Kai-Heng Feng
Zesty
Undecided
Kai-Heng Feng
Artful
Medium
Kai-Heng Feng

Bug Description

[Impact]
Gigabyte AM4 boards users cannot boot Ubuntu successfully.
Commit linux-gpio/fixes babdc22b0ccf4ef5a3075ce6e4afc26b7a279faf "pinctrl/amd: Use regular interrupt instead of chained" can fix the issue.

[Test Case]
All Gigabyte AM4 boards can reproduce the issue.
With the patch, the issue is resolved, per comment #170.

[Regression Potential]
Regression Potential is low. It limits to rather new AMD platform which has pinctrl-amd.
As the commit log says, use chained interrupt is not a good idea. Use regular interrupt is the correct way.

I also test the patch on an AMD laptop, where its touchpad depends on pinctrl-amd. No regression found.

Original bug report:
I'm trying to run ubuntu on Ryzen 1700x with Gigabyte GA-AB350-gaming-3 motherboard,
and it has a load of problems, starting with not being able to boot normally.

During normal boot, on 16.10 as well as 17.04 beta:
system doesn't boot normally, hangs with a lot of "unexpected irq trap at vector 07"
messages displayed.

Following advice from various places, I've tried:disable cpu freq governor and cpu handling in acpi settings

1. add "acpi=off" to boot params

That helps, allowing me to boot into recovery mode, though it leaves me with system seeing only one core, is really slow and still only boots in recovery mode.

2. Compile own kernel using 4.11.rc1 and disabling cpu freq governor and cpu handling in acpi settings. Boot with "quiet loglevel=3" option.

That gets me even further - system sees all cores now. Still only recovery mode though,
but its enough to get info for this bug report.

Some observed problems:

1. dmesg reports *a lot* of messages like this all the time:

[ 163.362068] ->handle_irq(): ffffffff87a7e090,
[ 163.362081] bad_chained_irq+0x0/0x40
[ 163.362089] ->handle_irq(): ffffffff87a7e090,
[ 163.362090] amd_gpio_irq_handler+0x0/0x200
[ 163.362090] ->irq_data.chip(): ffffffff88587e20,
[ 163.362090] ioapic_ir_chip+0x0/0x120
[ 163.362090] ->action(): ffffffff884601c0
[ 163.362091] IRQ_NOPROBE set
[ 163.362099] ->handle_irq(): ffffffff87a7e090,
[ 163.362099] amd_gpio_irq_handler+0x0/0x200
[ 163.362100] ->irq_data.chip(): ffffffff88587e20,
[ 163.362100] ioapic_ir_chip+0x0/0x120
[ 163.362101] ->action(): ffffffff884601c0

I've tried to redirect dmesg to a file, stopped after a short while, it generated 400M of those.

2. Systemd cannot start journald. Perhaps because it cannot cope with amount of kernel logs?

3. Looking at pci, I've noticed something called AMDI0040 (/sys/bus/acpi/devices/AMDI0040, path=_SB_.EMMC), among AMDI0010, AMDI0020, AMDI0030. Those however are mentioned in kernel source, kernel and google are completely silent about AMDI0040.

Phoronix tested ryzen using different motherboard, and it worked better (though not well),
so I suspect it is an issue with motherboard.
---
ApportVersion: 2.20.4-0ubuntu2
Architecture: amd64
DistroRelease: Ubuntu 17.04
InstallationDate: Installed on 2015-08-06 (581 days ago)
InstallationMedia: Kubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150728.1)
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US:en
 TERM=linux
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Tags: zesty
Uname: Linux 4.11.0-rc1-custom x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: Upgraded to zesty on 2017-03-03 (6 days ago)
UserGroups:

_MarkForUpload: True

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1671360

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected zesty
description: updated
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.11 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11-rc1/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Maciej Dziardziel (fiedzia) wrote :

The issue had nothing to do with upgrades, its the same problem on 16.10 as well as on 17.04.
I've tested it on my system and on live ubuntu on usb.

I've tried to use mainline kernel and the problem is still there.

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Maciej Dziardziel (fiedzia) wrote :

I've found a workaround (requires compiling own kernel, tested on 4.11 and r4.11rc1):

When configuring kernel (I used make menuconfig) disable following things:

Everything under device drivers/gpio support, especially:
memory mapped files/amd promontory support (GPIO_AMDPT)
and pci gpio expanders / amd 8111 gpio driver (GPIO_AMD8111)
but I've turned of everything to make sure nothing is using gpio.

device drivers / pin controllers / amd gpio pin control (PINCTRL_AMD)

Perhaps only one of them could be really necessary, but I didn't tested that.

System boots normally, no problems with journald and no weird messages from dmesg.

Robert Sandru (rsandru) wrote :

Maciej, do you have any suggestions if there is no previous OS installed? Any way for to fix the installation image so that I can at least get a base installation going?

Eric Hartmann (hartmann-eric) wrote :

Guys, I've updated the firmware of my GA-X370-gaming-5 to F4 and with kernel 4.10.1 and acpi=off it's almost working. My last issue is that only one core is available.

I've tested with Fedora 25 (4.8 kernel with backports) and everything is working perfectly : all cores are available so it may due to kernel configuration, but I did not find where the issue is.

Maciej Dziardziel (fiedzia) wrote :

> Maciej, do you have any suggestions if there is no previous OS installed?

You may try to boot with those options:

acpi=off quiet loglevel=3

(just acpi=off might be enough). That should get you through installation.

Cosmin Mutu (cosmin-mutu) wrote :

Getting same problem on AMD Ryzen X18700 with GIGABYTE AB350-GAMING3 motherboard (F5 - latest bios version)

Setting acpi=off gets me into login screen but fails to authenticate me .. so, I`m stuck there.

This occured when I tried to upgrade from 16.04 to 16.10 ... then I tried installing the 17.04 with same problems ... instal was hitting the IRQ vector 07 problem.

If you guys need any other info, please let me know and I can collect some more.

Cosmin Mutu (cosmin-mutu) wrote :

AMD Ryzen X1800 (don`t know how a 7 got in there)

Cosmin Mutu (cosmin-mutu) wrote :

authentication does work from terminal ( ctrl-alt-f1 )

Cosmin Mutu (cosmin-mutu) wrote :

Just booted 16.04 from disk (try mode) and it works without problems ... attached a screenshot also

Heiko Hartmann (yrwyddfa) wrote :

I can confirm that for Ryzen X1700 and same Mainboard as mentioned by Cosmin. Ubuntu Studio 16.04 is working without any problems, Live version of 16.10 messes up with thousands of IRQ traps.

Robert Sandru (rsandru) wrote :

Still no dice.

Tried another path:
- Installed on a spare HDD using VMware in Windows (assigned full disk to VMware), no additional drivers or anything changed
- Updated kernel to 4.11rc1 (using prebuild binaries)
- Updated grub parameters: acpi=off quiet loglevel=3
- Rebooted computer with that drive as the boot disk

Still gets stuck during startup. Removing the acpi=off parameter spews again the irq trap messages so same situation.

Setup is 1700X on Gigabyte GA-AX370-Gaming 5 motherboard
For all it's worth I'm also using an NVMe bootdrive - not sure it makes a difference.

Giving up until a kernel dev with the appropriate knowledge looks into this.

Cosmin Mutu (cosmin-mutu) wrote :

Installed 16.04 - runs just fine (just like Heiko mentioned above). All 16 cpu`s are visible, however, no way to get temp information (sensors can`t find anything).

Robert Sandru (rsandru) wrote :

Cosmin, when you say you installed 16.04, do you mean Ubuntu Studio 16.04 or the standard distribution?

Did you install the OS from scratch using an USB stick of some other media? You were trying to do an update to 17.04 so did 16.04 boot initially correctly? Please provide details, just saying it works isn't helping to pinpoint the issue.

Eric Hartmann (hartmann-eric) wrote :

As Maciej Dziardziel suggest, I've rebuild 4.10.1 kernel and deactivated GPIO_AMDPT, GPIO_AMD8111 and PINCTRL_AMD.
The system was booting correctly, however I cannot use any USB keyboard.
So I've rebuild the kernel, deactivating only PINCTRL_AMD and everything is working fine now.

Here is my setup : Aorus GA-X370-Gaming-5 with Ryzen 1800X.

And here is the link of the builds :
* https://mega.nz/#!R493SRIb!UgMpquYIqQuJkmHoY1kgp5rtVSMK7yo7tw_KP3pUKzw
* https://mega.nz/#!YoMmHBRQ!plT0X61pQJWz00rkZ5ANZC50rjNHKID3BZ4v-wia2mE
* https://mega.nz/#!F8801QKD!pRSay0_qWhKqvfl6MKOJSpGSBxf1t-NMspdsYPM5eDQ

Huang YangWen (yangwen5301) wrote :

Works find with Ubuntu 16.04 + 4.10.1-041001-generic

The kernel is downloaded from Ubuntu website

motherboard ASUS PRIME B350-PLUS.

Huang YangWen (yangwen5301) wrote :

CPU is Ryzen 1700x

However lm-sensor is not working properly.

Maciej Dziardziel (fiedzia) wrote :

Huang YangWen: can you attach result of those command:

ls -l /sys/bus/acpi/devices/
sudo lspci -vvnn

I wonder what the differences between motherboards are. I suspect Gigabyte has something other boards don't have.

Cosmin Mutu (cosmin-mutu) wrote :

@Robert ... sure, let me clarify the events.

1. I had Ubuntu 16.04 LTS for some time already running on my system.
2. I bought AMD Ryzen 1800 + Gigabyte AB350 Gaming 3 and I took the SSD from the old system and pushed it into the new one
3. Everything worked fine, except I had to install NVIDIA drivers (I also bought a better video card)
4. I noticed I couldn`t get CPU temperature, so I tried my luck by upgrading to 16.10 (BAD DECISION)
----> during OS boot the IRQ VECTOR 07 error is repeated over and over
5. I then downloaded the 17.04 on a disk, and tried to install it
----> ended up with IRQ VECTOR 07 error during install (so, no go)
6. I tried the Ubuntu 16.04 LTS from a disk (which was the origin of the OS at step 1 ...) --> worked fine
7. I installed Ubuntu 16.04 LTS and here I am .. back at step 3 :)

I`ve never installed STUDIO, only DESKTOP as in this : http://releases.ubuntu.com/16.04.2/ubuntu-16.04.2-desktop-amd64.iso?_ga=1.156896511.598999195.1489430754

Cosmin Mutu (cosmin-mutu) wrote :

"on a disk" I mean on a DVD :)

Cosmin Mutu (cosmin-mutu) wrote :

@Maciej : I think you missunderstood ... both Gigabyte (mine) and Asus boards (Huang`s) work fine with 16.04 LTS ... what you need to do .. is ask Huang to try his luck with 16.10 :) or 17.04

So, Huang, can you make 2 DVD`s .. one with 16.10 and another with 17.04 (or 2 bootable flashes) and just "TRY" both of them, without installing ... I wonder if that works for you.

Robert Sandru (rsandru) wrote :

Hi Cosmin, thanks a lot for the details.

I can see a couple of differences that I need to look into:
 - Chipset is different B350 vs. X370
 - I attempted the fresh 16.04 install from a USB stick instead of a DVD (I've got no optical drive at all, so can't test that) -> IRQ TRAP.... (same with 16.10 and 17.04 beta)

So my next tentative will be to take the drive out from that computer, install in a different one and perform the 16.04 install and move it back to the Ryzen system. That would be similar to your initial state with a working 16.04.

One last question (:-), was your existing 16.04 running on a special kernel version before you moved your SSD to your new Ryzen system?

Thanks!

Robert Sandru (rsandru) wrote :

@Eric: I've managed to boot the system using your custom built kernel!

Not usable really now as the nvidia driver installation is failing but much better...

So clearly the code around PINCTRL_AMD seems to be related.

Daniele (protomucca) wrote :

Dear All,

I had exactly the same situation of post #23. Coming from Kubuntu 16.04, bought a new system Ryzen 1800x+GA-AB350 Gaming 3.
First boot, using the "old" SSD worked fine, so I decided to upgrade to version 16.10. The procedure goes well, but after the reboot got plenty of error message "IRQ VECTOR 07".
So I tried with a USB stick and Kubuntu live version 17.04 both beta 1 and Nightly but got the same error.
The only way to make the system working, is to manually select kernel 4.4.0-64-generic from grub.

I've also tried to install ubuntu kernel 4.10 and 4.11rc1, but I always get the same error.

Hope this helps

Eric Hartmann (hartmann-eric) wrote :

@Robert, on Ubuntu 16.10 you can install the nvidia-378 drivers that contains the fix for the kernel 4.10 (I'm using it).

The patches are available here also : https://devtalk.nvidia.com/default/topic/995636/linux/-patches-378-13-4-10-and-4-11-rc1/

Eric Hartmann (hartmann-eric) wrote :

@Marciej here are the results for GA-X370-Gaming-5 board (with 1800X processor).
Please note that it's the result on 4.10.1 with PINCTRL_AMD removed.

Eric Hartmann (hartmann-eric) wrote :

And lspci

Cosmin Mutu (cosmin-mutu) wrote :

@Robert : what I have on DVD is an image of 16.04.01 LTS : http://old-releases.ubuntu.com/releases/xenial/ubuntu-16.04.1-desktop-amd64.iso

So, I would suggest you "try / install" this first, and then update to 16.04.02
At least that`s how it worked for me.

Current kernel that I have (didn`t performed any tricks to get this in place, it`s just from installing 16.04.01 and upgrading to 16.04.02 via normal upgrade procedure) :

$ uname -a
Linux alpha-desktop 4.4.0-66-generic #87-Ubuntu SMP Fri Mar 3 15:29:05 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Cosmin Mutu (cosmin-mutu) wrote :

By normal upgrade procedure I mean :

1. Right Click on "Power Icon" (top right corner)
2. Select "About this computer"
3. On opened pop-up in the bottom right corner there should be a button which either says "Update" or "System Up-To-Date"

Let me know if the 16.04.01 install worked ... hope it does!

anders_c_ (anders-c-) wrote :

Ryzen 1700
Gigabyte ab350 Gaming 3

I created a usb with 16.04.1 and it starts without problems. When i tried to install it asked if I wanted UEFI or bios mode, UEFI failed to install but bios worked.

blarg (blargblarg) wrote :

Disable the CPU based USB ports - That's all of the version 3.0 ones. Probably most of the rear and front ports.

Only use the 3.1 or 2.0 USB ports associated with the B350 southbridge.

anders_c_ (anders-c-) wrote :

@blarg
Looked around in bios but found no way to disable the CPU USBs.
Tried to boot with nothing connected to them but it failed with same error messages as before.

Marc Singer (nextized) wrote :

I can replicate the issue on a Gigabyte GA370x Gaming 5 Mainboard with AMD 1700x. After I upgraded Mint to Linux 4.10.3 the bug even happened on older kernel versions installed with Ukuu (I could only boot on 4.4.0 used as default on Mint 18.2)

James Willcox (snorp) wrote :

I have this issue with a Ryzen 1800X and a Gigabyte GA-AB350 Gaming (not 3) mainboard. I can boot the live desktop from USB if I pass acpi=off, but /proc/cpuinfo lists only one core.

Eric Joslyn (mirth99) wrote :

I have exactly the same problem with a Gigabyte AB350-Gaming 3 motherboard and a Ryzen 1800+.

- Ubuntu variations (Ubuntu, Neon, Kubuntu, Budgie) and openSUSE do not work out of the box. They stall with a bunch of 'irq trap at vector 07' messages.
- For all of these, after adding acpi=off to the kernel parameters, it runs/installs, but runs on only one core. The system locks up when you try to shutdown.
- I tried other acpi parameters but nothing seems to make a difference. Only acpi=off has an effect.
- Fedora and KaOSx run and install with no obvious problem.

Here is some additional information. I built upstream kernel 4.11-rc5 with

    CONFIG_PINCTRL_AMD=m
    CONFIG_DEBUG_PINCTRL=y
    CONFIG_DEBUG_GPIO=y

and blacklisted pinctrl-amd so as to able to boot that kernel and set up netconsole. Doing a

    modprobe pinctrl-amd

then results in a crash (obviously) and output along the lines of what you can see in the attached files. Case A seems to be more common than B. In case B, the system can still be used for a few seconds before becoming unresponsive.

summary: - System doesn't boot properly on AMD Ryzen / Gigabyte GA-AB350-gaming-3
+ System doesn't boot properly on Gigabyte AM4 motherboards (AMD Ryzen)
tags: added: xenial yakkety
tags: added: regression-release
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
status: Incomplete → Confirmed
tags: added: kernel-da-key
tags: added: bitesize kernel-oops
134 comments hidden view all 214 comments
buzuk56 (buzuk56) wrote :

@Gabi,
I faced a similar issue with my Gigabyte mother board Z68 a couple of month ago and I sorted out the problem by applying the [2] below.

May be you could have a go with [1] or [2]

[1] https://www.youtube.com/watch?v=HhI-t5lh_38
[2] https://forums.tweaktown.com/gigabyte/57335-dual-bios-dead-corrupted-blue-screen-bios-freeze-lga-2011-ga-x79-ud3.html

Good luck.

B.

description: updated
Gabi Dumi (djibrille) wrote :

@Woody
I also have a Gigabyte Z68-ud3h-b3 in another computer (i5 2500k) and event though it's approaching 10 years old, and it's overclocked, it never did that (there were times when it would not cold boot, but at least the fans moved and you could reset the bios via clr_cmos, no problem). My brother has a Gigabyte z97 board and this never happened to him. I will try replacing the power supply since it is quite old, maybe it's related? I measured all the rails with a DMM though and they were in spec but there could be something a multimeter can't detect like noise on the lines or too much delay on startup signal. Thanks for the info anyway!

@buzuk56
The board would not turn on at all, no fans ,no power supply start, nothing. And when it did start, it booted the normal bios no problem so it seems to me it wasn't bios corruption.

Anyway, it works OK now, hopefully it was just an isolated event.
While I was troubleshooting yesterday, I noticed on the back of the board there were very fine traces of silver colored residue. It looked like the board was soldered with solder paste and some of it spilled and flowed down on the PCB. I cleaned it as best as I could but I'm still worried about it. Any of you had this, or am I just being paranoid?

Seth Forshee (sforshee) on 2017-06-01
Changed in linux (Ubuntu Artful):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in linux (Ubuntu Zesty):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in linux (Ubuntu Artful):
status: Confirmed → Fix Committed
Tekkla (tekkla) wrote :

Yay!

Woody (wo0dy) wrote :

Will the fix get backported or become available on Xenial? (16.04)

Kai-Heng Feng (kaihengfeng) wrote :

I remember someone mentioned there's no such issue on 4.4 kernel?
Anyway, you can use Zesty's kernel in Xenial.
Install package "linux-generic-hwe-16.04-edge" will do.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Zesty):
status: New → Confirmed

I had the same problem with my Aorus X370, changed for a ASUS prime,
everything is working, even the overclock.

On Wed, May 31, 2017 at 4:21 PM Gabi Dumi <email address hidden>
wrote:

> My Gigabyte AB350m G3 decided to play dead today. In the morning it
> started OK, and after a few light browsing and a little coding I shut it
> down. After about an hour, when I tried powering it on, it was dead. No fan
> spin, no LED-s, no sign of life whatsoever. After troubleshooting all day
> swapping parts, power supplies, removing RAM, re-seating the CPU, I was
> about ready to start a warranty claim. I still could not believe a month
> and a half old motherboard could just die without any prior symptoms. It
> wasn't even overclocked, even the ram was running at only 2133mhz - ultra
> durable my a**. As a last resort I tried removing the BIOS battery and
> shorting the clr_cmos jumper with the battery removed and it came back to
> life.
> After all the problems I had with Ubuntu support, when things started to
> look like they were improving, this made me think seriously about ordering
> an Asus or even AsRock replacement board for when it decides to have some
> other annoying problem. I would not recommend this board in the current
> state, especially not for an Ubuntu Linux system.
> Sorry for not being exactly on topic since this is probably not Linux or
> Ubuntu related. Unless Ubuntu does something strange on shutdown?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1671360
>
> Title:
> System doesn't boot properly on Gigabyte AM4 motherboards (AMD Ryzen)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1671360/+subscriptions
>

Changed in linux (Ubuntu Zesty):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Gabi Dumi (djibrille) wrote :

I noticed a new beta BIOS ( version F5c) has appeared for AB350m G3, has anyone tried it yet?
Does it now properly boot from a live Ubuntu image?
I just got a new power supply, I think I will also try the new BIOS on the coming weekend.

Woody (wo0dy) wrote :

When should we expect the update with the fix to be available in Xenial? I have linux-generic-hwe-16.04-edge installed, but haven't seen any improvement.

Stefan Bader (smb) on 2017-06-09
Changed in linux (Ubuntu Zesty):
status: Fix Released → Fix Committed
Kai-Heng Feng (kaihengfeng) wrote :

@Woody

According to [1], it will be released to -updates at 26-June.

It will be at -proposed before that.

[1] https://wiki.ubuntu.com/KernelTeam/Newsletter/2017-05-31

Tony Brobston (tbro) wrote :

buzuk56's solution worked for me. I'm using Ryzen 5 1500X with Gigabyte GA-AB350-gaming-3.

Thanks! So glad to have Ubuntu on this machine.

Navdeep Singh (nsingh-s) wrote :

@kaihengfeng

Will your update be available on June26 on http://releases.ubuntu.com/17.04/ ? Those seems to be stuck on date when zesty was released. Do they files get updated as bugs get fixed?

e.g.
ubuntu-17.04-desktop-amd64.iso 2017-04-12 03:46

Kai-Heng Feng (kaihengfeng) wrote :

Unfortunately no. I don't think image for Zesty will get any updates.

If you want to do a fresh install, you need to use parameters like "apci=off" to install. You can remove "acpi=off" after upgrading the system.

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
Woody (wo0dy) wrote :

Must verification/testing be done in Zesty? I have Xenial on my machine.

Hi @wo0dy,

You can verify the bug on Xenial by installing linux-generic-hwe-16.04-edge=4.10.0.23.16 which is currently on -proposed pocket. This kernel also have the fix for this bug.

Thank you.

Tekkla (tekkla) wrote :

Hi @all,

I tested it and I'm not sure that I did it right. The wiki link is somewhat outdated, because it relys on aptitude, which seems not to be installed with Zesty. Nevermind. I now have installed a kernel named

4.10.0-23-generic #25-Ubuntu SMP Fri Jun 9 09:39:09 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

It works flawless. Is this the proposed kernel to test? Any if yes, where do I have to add the needed 'verification-done-zesty' tag?

Thank you.

Hi @tekkla,

Yes, kernel 4.10.0-23 is the one in -proposed for Zesty. So thank you for verifying it!

The tags are located just below the bug description. I will update it myself.

Thanks you.

tags: added: verification-done-zesty
removed: verification-needed-zesty
Woody (wo0dy) wrote :

Hi I have installed the kernel, I'm running it on Xenial now and it works good. No IRQ07 issues what so ever. Thanks everyone involved!

Richard (rs-workmail) wrote :

I can confirm that 4.10.0-23-generic #25~16.04.1-Ubuntu SMP Fri Jun 9 10:45:17 UTC 2017 works
with a Gigabyte GA-AX370-Gaming 5 and UEFI version F5. (Ubuntu 16.04)

Adie (a.k.) wrote :

I confirm package linux-generic-hwe-16.04-edge=4.10.0.23.16.10.0 fix this bug for me on my gigabyte motherboard and Zesty

nickleplated (nickleplated) wrote :

Does the recent security related release (4.10.0-24) also include this fix, or should I skip it and get 4.10.0-25 from -proposed?

John Kelly (khjaoibec7nn) wrote :

I'm using: 4.10.0-24-generic and only able to use Ubuntu with acp=off nickleplated.

I'm unclear about how to fetch the versions that people are mentioning in the last few posts. Can someone clue me in on how to fetch `linux-generic-hwe-16.04-edge=4.10.0.23.16.10.0` or `4.10.0-25 from -proposed` with aptitude? Google is failing me. I'd be very happy to test them out and see if it solves the gigabyte motherboard issue.

nickleplated (nickleplated) wrote :

John, I used the link mentioned above (https://wiki.ubuntu.com/Testing/EnableProposed), but replaced xenial with zesty.

In aptitude, I looked through all the upgradable packages and only selected the ones with the new kernal version number.

Christos (christosmichaelas) wrote :

Hi,

My machine uses the Gigabyte X370 Gaming 5 with the 1800X. No OS on the SSD.

I'm unable to boot from USB using:

- 17.04 live usb
- 17.10 daily live usb

IRQ 07 errors and the system hangs without entering the installer.

I've tried the above grub parameters acpi=off with no luck.

What are the steps needed to boot into a live usb and get ubuntu installed to then enter -proposed and get the upgraded kernel packages for full usage?

Thanks!

John Kelly (khjaoibec7nn) wrote :

nickleplated, Thanks you I missed the link somehow. 4.10.0.-25 from proposed solved the issue for me with the Gigabyte AB350 Gaming 3 with bios 7.

Kai-Heng Feng (kaihengfeng) wrote :

Christos,

Try the "pending" one instead of "current".

Christos (christosmichaelas) wrote :

Hi Kai,

I've just tested pending 17.10 and have the same results. Are there any specific BIOS options required?

My system is currently using IOMMU for my 16GB ECC RAM. This is the only option I have changed in the BIOS.

Arch can successfully boot on the machine.

If you need anything testing, I can try it on my machine if needed, will use another SSD for Windows.

Thanks,

Christos

Christos (christosmichaelas) wrote :

BIOS version I have installed - F5
Latest release - F6

Have others installed F6 when testing?

Kai-Heng Feng (kaihengfeng) wrote :

What's the version of Arch's kernel?

Christos (christosmichaelas) wrote :

Hi Kai,

Sorry for the late reply.

Kernel v4.11.3

More info of the iso: https://www.archlinux.org/releng/releases/2017.06.01/

Hope this helps!

Christos

Kai-Heng Feng (kaihengfeng) wrote :

Christos,

What's the kernel version of 17.10 live USB?
Linux version 4.10.0-25 has the fix but 4.10.0-24 does not.

Christos (christosmichaelas) wrote :

Hi Kai,

Kernel version for the image I'm using is: 4.10.0-22-generic.

I downloaded the image from the following URL:

http://cdimage.ubuntu.com/daily-live/pending/

Should I download again as I see it was modified today, where as I downloaded it on the 26th.

Thanks

Launchpad Janitor (janitor) wrote :
Download full text (19.7 KiB)

This bug was fixed in the package linux - 4.10.0-26.30

---------------
linux (4.10.0-26.30) zesty; urgency=low

  * linux: 4.10.0-26.30 -proposed tracker (LP: #1700528)

  * CVE-2017-1000364
    - Revert "UBUNTU: SAUCE: mm: Only expand stack if guard area is hit"
    - Revert "mm: do not collapse stack gap into THP"
    - Revert "mm: enlarge stack guard gap"
    - mm: larger stack guard gap, between vmas
    - mm: fix new crash in unmapped_area_topdown()
    - Allow stack to grow up to address space limit

linux (4.10.0-25.29) zesty; urgency=low

  * linux: 4.10.0-25.29 -proposed tracker (LP: #1699028)

  * CVE-2017-1000364
    - SAUCE: mm: Only expand stack if guard area is hit

  * CVE-2017-9074
    - ipv6: Prevent overrun when parsing v6 header options
    - ipv6: Check ip6_find_1stfragopt() return value properly.

  * [Zesty] QDF2400 ARM64 server - NMI watchdog: BUG: soft lockup - CPU#8 stuck
    for 22s! (LP: #1680549)
    - iommu/dma: Stop getting dma_32bit_pfn wrong
    - iommu/dma: Implement PCI allocation optimisation
    - iommu/dma: Convert to address-based allocation
    - iommu/dma: Clean up MSI IOVA allocation
    - iommu/dma: Plumb in the per-CPU IOVA caches
    - iommu/iova: Fix underflow bug in __alloc_and_insert_iova_range

  * Zesty update to 4.10.17 stable release (LP: #1692898)
    - xen: adjust early dom0 p2m handling to xen hypervisor behavior
    - target: Fix compare_and_write_callback handling for non GOOD status
    - target/fileio: Fix zero-length READ and WRITE handling
    - iscsi-target: Set session_fall_back_to_erl0 when forcing reinstatement
    - usb: xhci: bInterval quirk for TI TUSB73x0
    - usb: host: xhci: print correct command ring address
    - USB: serial: ftdi_sio: add device ID for Microsemi/Arrow SF2PLUS Dev Kit
    - USB: Proper handling of Race Condition when two USB class drivers try to
      call init_usb_class simultaneously
    - USB: Revert "cdc-wdm: fix "out-of-sync" due to missing notifications"
    - staging: vt6656: use off stack for in buffer USB transfers.
    - staging: vt6656: use off stack for out buffer USB transfers.
    - staging: gdm724x: gdm_mux: fix use-after-free on module unload
    - staging: wilc1000: Fix problem with wrong vif index
    - staging: comedi: jr3_pci: fix possible null pointer dereference
    - staging: comedi: jr3_pci: cope with jiffies wraparound
    - usb: misc: add missing continue in switch
    - usb: gadget: legacy gadgets are optional
    - usb: Make sure usb/phy/of gets built-in
    - usb: hub: Fix error loop seen after hub communication errors
    - usb: hub: Do not attempt to autosuspend disconnected devices
    - x86/boot: Fix BSS corruption/overwrite bug in early x86 kernel startup
    - selftests/x86/ldt_gdt_32: Work around a glibc sigaction() bug
    - x86, pmem: Fix cache flushing for iovec write < 8 bytes
    - um: Fix PTRACE_POKEUSER on x86_64
    - perf/x86: Fix Broadwell-EP DRAM RAPL events
    - KVM: x86: fix user triggerable warning in kvm_apic_accept_events()
    - KVM: arm/arm64: fix races in kvm_psci_vcpu_on
    - arm64: KVM: Fix decoding of Rt/Rt2 when trapping AArch32 CP accesses
    - block: fix blk_integrity_register to use templ...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
1 comments hidden view all 214 comments
Christos (christosmichaelas) wrote :

Will this fix be implemented in the downloadable daily images? I have downloaded the most recently modified (29/06/2017) and kernel 4.10.0-22 is still in use.

Thanks

Kai-Heng Feng (kaihengfeng) wrote :

When Artful (17.10) switch to 4.11, the daily image will also get new kernel.

Launchpad Janitor (janitor) wrote :
Download full text (19.7 KiB)

This bug was fixed in the package linux - 4.10.0-26.30

---------------
linux (4.10.0-26.30) zesty; urgency=low

  * linux: 4.10.0-26.30 -proposed tracker (LP: #1700528)

  * CVE-2017-1000364
    - Revert "UBUNTU: SAUCE: mm: Only expand stack if guard area is hit"
    - Revert "mm: do not collapse stack gap into THP"
    - Revert "mm: enlarge stack guard gap"
    - mm: larger stack guard gap, between vmas
    - mm: fix new crash in unmapped_area_topdown()
    - Allow stack to grow up to address space limit

linux (4.10.0-25.29) zesty; urgency=low

  * linux: 4.10.0-25.29 -proposed tracker (LP: #1699028)

  * CVE-2017-1000364
    - SAUCE: mm: Only expand stack if guard area is hit

  * CVE-2017-9074
    - ipv6: Prevent overrun when parsing v6 header options
    - ipv6: Check ip6_find_1stfragopt() return value properly.

  * [Zesty] QDF2400 ARM64 server - NMI watchdog: BUG: soft lockup - CPU#8 stuck
    for 22s! (LP: #1680549)
    - iommu/dma: Stop getting dma_32bit_pfn wrong
    - iommu/dma: Implement PCI allocation optimisation
    - iommu/dma: Convert to address-based allocation
    - iommu/dma: Clean up MSI IOVA allocation
    - iommu/dma: Plumb in the per-CPU IOVA caches
    - iommu/iova: Fix underflow bug in __alloc_and_insert_iova_range

  * Zesty update to 4.10.17 stable release (LP: #1692898)
    - xen: adjust early dom0 p2m handling to xen hypervisor behavior
    - target: Fix compare_and_write_callback handling for non GOOD status
    - target/fileio: Fix zero-length READ and WRITE handling
    - iscsi-target: Set session_fall_back_to_erl0 when forcing reinstatement
    - usb: xhci: bInterval quirk for TI TUSB73x0
    - usb: host: xhci: print correct command ring address
    - USB: serial: ftdi_sio: add device ID for Microsemi/Arrow SF2PLUS Dev Kit
    - USB: Proper handling of Race Condition when two USB class drivers try to
      call init_usb_class simultaneously
    - USB: Revert "cdc-wdm: fix "out-of-sync" due to missing notifications"
    - staging: vt6656: use off stack for in buffer USB transfers.
    - staging: vt6656: use off stack for out buffer USB transfers.
    - staging: gdm724x: gdm_mux: fix use-after-free on module unload
    - staging: wilc1000: Fix problem with wrong vif index
    - staging: comedi: jr3_pci: fix possible null pointer dereference
    - staging: comedi: jr3_pci: cope with jiffies wraparound
    - usb: misc: add missing continue in switch
    - usb: gadget: legacy gadgets are optional
    - usb: Make sure usb/phy/of gets built-in
    - usb: hub: Fix error loop seen after hub communication errors
    - usb: hub: Do not attempt to autosuspend disconnected devices
    - x86/boot: Fix BSS corruption/overwrite bug in early x86 kernel startup
    - selftests/x86/ldt_gdt_32: Work around a glibc sigaction() bug
    - x86, pmem: Fix cache flushing for iovec write < 8 bytes
    - um: Fix PTRACE_POKEUSER on x86_64
    - perf/x86: Fix Broadwell-EP DRAM RAPL events
    - KVM: x86: fix user triggerable warning in kvm_apic_accept_events()
    - KVM: arm/arm64: fix races in kvm_psci_vcpu_on
    - arm64: KVM: Fix decoding of Rt/Rt2 when trapping AArch32 CP accesses
    - block: fix blk_integrity_register to use templ...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Kai-Heng Feng (kaihengfeng) wrote :

Artful should switch to linux kernel 4.11 pretty soon.

Kai-Heng Feng (kaihengfeng) wrote :

Ok, Artful live image (the pending one) uses 4.10.0-26.30 now. If you still can't boot, then it should be another issue.

Displaying first 40 and last 40 comments. View all 214 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.